Package: org.codehaus.groovy.grails.commons

## [Java] Interface ExternalGrailsDomainClass

- org.codehaus.groovy.grails.commons.GrailsDomainClass

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware, GrailsDomainClass

  Represents a persistable Grails domain class that is externally mapped. This is essentially a marker interface so that Grails knows to treat these differently.

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface GrailsDomainClass` | `GORM, ORM_MAPPING`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GrailsDomainClass` | `getAssociationMap, getConstrainedProperties, getFieldName, getIdentifier, getMappedBy, getMappingStrategy, getPersistantProperties, getPersistentProperties, getPersistentProperty, getProperties, getPropertyByName, getPropertyName, getRelatedClassType, getSubClasses, getValidator, getVersion, hasPersistentProperty, hasSubClasses, isBidirectional, isManyToOne, isOneToMany, isOwningClass, isRoot, refreshConstraints, setMappingStrategy, setValidator`
    `interface GrailsClass` | `getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`